using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.BusinessLogicContracts
{
    public interface IPaymentLogic
    {
        List<PaymentViewModel> ReadList(PaymentSearchModel model);
        PaymentViewModel ReadElement(PaymentSearchModel model);
        bool Create(PaymentBindingModel model);

        /// <summary>
        /// Получение полной и оплаченной стоимости в бизнес логике, по обследованию и талону
        /// </summary>
        bool GetPaymentInfo(PaymentSearchModel model, out double fullPrice, out double paidPrice);
    }
}